Subject: RE: draft-davari-pwe3-aal12-over-psn-01

From: "Yaakov Stein" <[email-masked]>
Date: Tue, 11 Mar 2003 08:58:06 +0200

Sasha and Shahram, 

> I have read the draft in question. It looks like quite a useful 
> document explaining how to use different modes of [ATM-ENCAP]
> with AAL1 VCCs.
> 
> I have a couple of minor comments to it.
> 
> 1. The text in Section 11.1 allows the receiver to ignore L bit. 
>    On the other hand, the text in Section 11 allows the transmitter 
>    not only to set L bit in case of a defect but also to send only 
>    "the minimum PSN payload set to all zeros" since the payload 
>    itself is irrelevant. 
>    I do not understand how such payload would then be interpreted 
>    by a receiver that ignores L bit.

There are two options here which can not be used together.
If Shahram did not explicitly say so, what he meant is that
packets with L bit set, can delete their payload.

BTW, there can be L bit set even with some useable traffic,
as with DXCs (as Sasha has proposed) where only one of
several incoming trunks has gone down, 
or loss of multiframe sync, even though frame sync is still OK.

> 2. The receiver  does not handle lost packets beyond optional setting 
>     of the R bit; in particular, it does not generate any "replacement
>     traffic" or any OAM cells towards the ATM network (AFAIK no such 
>     action is defined for any of the modes in [ATM-ENCAP]). 
>     As a consequence, the egress of the AAL1 path using the ATM PW as
>     one of its "hops" will have to detect and handle loss of, potentially, 
>     multiple consecutive AAL1 frames due to a single PW packet loss. 
>     Since the AAL1 sequence number is just 3 bits wide, this looks 
>     problematic if the lost packet contained 8 (or more) AAL1 frames.

I am not sure how you reached the conclusion that the receiver
does not interpolate lost packets.

Shahram's draft details the communications aspects,
i.e. what you see on the line,
and does not go into implementation issues.
If you are interested in what the receiver should do,
take a look at draft-anavi-tdmoip-05.

Y(J)S